Repository 32bit  Forum
Repository 64bit  Wiki

Problemi VLC

Postate qui se avete consigli per migliorare i pacchetti disponibili in questo sito o se avete problemi con installazione, funzionamento o altro.

Moderatore: Staff

Regole del forum
1) Citare in modo preciso il nome del pacchetto.
2) Specificare se discussione/suggerimento o richiesta d'aiuto.
3) Leggere attentamente le risposte ricevute
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.

Re: Problemi VLC

Messaggioda phobos3576 » dom mag 25, 2008 23:34

Pure io sto registrando continui crash con vlc-0.8.6g; un messaggio di errore che compare spesso dopo un crash è:
Codice: Seleziona tutto
** (.:10307): CRITICAL **: gtk_pizza_set_size: assertion `pizza != NULL' failed
Segmentation fault

Ho rimesso il vecchio package vlc-0.8.6f (per la 12.0) che funziona perfettamente, anche sulla Slacware 12.1
Avatar utente
phobos3576
Staff
Staff
 
Messaggi: 2980
Iscritto il: sab apr 16, 2005 23:00
Slackware: 13.1
Kernel: 2.6.37-smp
Desktop: KDE 4.5.3

Re: Problemi VLC

Messaggioda Mithenks` » lun mag 26, 2008 13:15

Codice: Seleziona tutto
mithenks@pegasus:~$ vlc
VLC media player 0.8.6g Janus
289d7ab8-27d3-b105-7c77c4f5-0ccab7cc is dumped


A me crasha totalmente :(
Vedo se ho tutte le dipendenze del pacchetto http://repository.slacky.eu/slackware-12.1/multimedia/vlc/0.8.6g/dependencies.tar.gz e vi faccio sapere.

EDIT:
Codice: Seleziona tutto
Upgrading avahi-0.6.22-i686-11as package using ./avahi-0.6.22-i486-2as.tgz

Non è una cosa bella questa che fa upgradepkg :D

EDIT2:
Niente, l'errore rimane... và in crash direttamente e senza passare dal via :cry:
Avatar utente
Mithenks`
Linux 1.0
Linux 1.0
 
Messaggi: 21
Iscritto il: dom mag 25, 2008 11:54
Località: Salerno/Siena
Slackware: 12.1

Re: Problemi VLC

Messaggioda danix » mer mag 28, 2008 19:56

Mithenks` ha scritto:
Codice: Seleziona tutto
Upgrading avahi-0.6.22-i686-11as package using ./avahi-0.6.22-i486-2as.tgz

Non è una cosa bella questa che fa upgradepkg :D

Questo problema di upgradepkg andrebbe segnalato a PJV forse...
Avatar utente
danix
Staff
Staff
 
Messaggi: 3280
Iscritto il: ven ott 27, 2006 18:32
Località: Siderno (RC)
Nome Cognome: Danilo M.
Slackware: 64 14.0
Kernel: 3.2.29
Desktop: fluxbox

Re: Problemi VLC

Messaggioda neongen » mer mag 28, 2008 20:23

:oops: :oops: :oops:
la versione i486-2as.tgz è l'ultima
Avatar utente
neongen
Packager
Packager
 
Messaggi: 827
Iscritto il: ven mag 25, 2007 11:37
Nome Cognome: Enrico
Slackware: 14.0_64
Kernel: 3.4.4
Desktop: KDE 4.5.5
Distribuzione: Maemo 5

Re: Problemi VLC

Messaggioda gioco » mer mag 28, 2008 22:06

Casi sballati :-k :
Codice: Seleziona tutto
root@calcifer:/home/gioco$ ls /var/log/packages/devs-2.3.1-noarch-25
/var/log/packages/devs-2.3.1-noarch-25
root@calcifer:/home/gioco$ touch devs-2.3.1-noarch-2.tgz
root@calcifer:/home/gioco$ upgradepkg --dry-run devs-2.3.1-noarch-2.tgz
devs-2.3.1-noarch-2 would upgrade: devs-2.3.1-noarch-25


Codice: Seleziona tutto
root@calcifer:/home/gioco$ touch wesnoth-0.1-i486-1sl.tgz
root@calcifer:/home/gioco$  upgradepkg --dry-run wesnoth-0.1-i486-1sl.tgz
wesnoth-0.1-i486-1sl would upgrade: wesnoth-1.4.1-i486-1sl


Casi corretti :thumbright: :
Codice: Seleziona tutto
root@calcifer:/home/gioco$ ls /var/log/packages/wesnoth-1.4.1-i486-1sl
/var/log/packages/wesnoth-1.4.1-i486-1sl
root@calcifer:/home/gioco$ touch wesnoth-1.4.2-i486-0foo.tg
root@calcifer:/home/gioco$ upgradepkg --dry-run wesnoth-1.4.2-i486-0foo.tgz
wesnoth-1.4.2-i486-0foo would upgrade: wesnoth-1.4.1-i486-1sl


Codice: Seleziona tutto
root@calcifer:/home/gioco$ touch adsd-0.1-i486-1foo.tgz
root@calcifer:/home/gioco$  upgradepkg --dry-run adsd-0.1-i486-1foo.tgz   
adsd-0.1-i486-1foo would not be upgraded (no installed package named adsd).


Sembra che upgradepkg aggiorni se il nuovo build è _diverso_ dal (non necessariamente maggiore del) vecchio. Naturalmente ogni dubbio può essere chiarito leggendo il codice di upgradepkg. Da un rapido esame del codice (sto su una 12.0) mi sembra che upgradepkg si curi solamente di controllare che il nuovo pacchetto e il vecchio abbiano nomi complessivamente (considerando basename-version-arch-build) diversi :-k

/sbin/upgradepkg ha scritto:# Unless --reinstall was given, compare the package names
# and skip any exact matches:
Avatar utente
gioco
Packager
Packager
 
Messaggi: 900
Iscritto il: sab giu 18, 2005 23:00
Località: in the court of the Wesnoth king
Slackware: last stable

Re: Problemi VLC

Messaggioda danix » gio mag 29, 2008 8:27

gioco ha scritto:Sembra che upgradepkg aggiorni se il nuovo build è _diverso_ dal (non necessariamente maggiore del) vecchio. Naturalmente ogni dubbio può essere chiarito leggendo il codice di upgradepkg. Da un rapido esame del codice (sto su una 12.0) mi sembra che upgradepkg si curi solamente di controllare che il nuovo pacchetto e il vecchio abbiano nomi complessivamente (considerando basename-version-arch-build) diversi :-k

L'ho in parte replicato su una 12.1 e il problema c'è effettivamente...
Codice: Seleziona tutto
[root@FlyingDutchman - /home/danix] gio mag 29 09:23:35
# ls /var/log/packages/ |grep prozilla
-rw-r--r-- 1 root root 1,1K 2008-05-07 12:57 prozilla-2.0.4-i486-1dx
[root@FlyingDutchman - /home/danix] gio mag 29 09:24:10
# touch prozilla-2.0.4-i486-0dx.tgz
[root@FlyingDutchman - /home/danix] gio mag 29 09:24:37
# upgradepkg --dry-run prozilla-2.0.4-i486-0dx.tgz
prozilla-2.0.4-i486-0dx would upgrade: prozilla-2.0.4-i486-1dx
[root@FlyingDutchman - /home/danix] gio mag 29 09:24:49
# ls /var/log/packages/ |grep 2sl     
-rw-r--r-- 1 root root 4,3K 2008-05-08 17:29 bluefish-1.0.7-i486-2sl
-rw-r--r-- 1 root root 2,4K 2008-05-17 14:50 id3lib-3.8.3-i486-2sl
-rw-r--r-- 1 root root  70K 2008-05-17 15:03 mplayer-1.0rc2try1-i686-2sl
-rw-r--r-- 1 root root 1,1K 2008-05-27 22:33 yougrabber-0.29.4-i686-2sl
[root@FlyingDutchman - /home/danix] gio mag 29 09:25:11
# touch bluefish-1.0.7-i486-1sl.tgz
[root@FlyingDutchman - /home/danix] gio mag 29 09:25:55
# upgradepkg --dry-run bluefish-1.0.7-i486-1sl.tgz
bluefish-1.0.7-i486-1sl would upgrade: bluefish-1.0.7-i486-2sl


Io direi che è il caso di mandare una mail a PJV... magari ti nomina nel ChangeLog... :D
Avatar utente
danix
Staff
Staff
 
Messaggi: 3280
Iscritto il: ven ott 27, 2006 18:32
Località: Siderno (RC)
Nome Cognome: Danilo M.
Slackware: 64 14.0
Kernel: 3.2.29
Desktop: fluxbox

Re: Problemi VLC

Messaggioda gioco » gio mag 29, 2008 9:27

danix85 ha scritto:Io direi che è il caso di mandare una mail a PJV... magari ti nomina nel ChangeLog... :D

Patrick ha volontariamente scritto upgradepkg in questo modo, quindi il comportamento non è anomalo, ma intenzionale.
E' strano, magari ci aspettavamo controlli sulle versioni dei pacchetti e non abbiamo mai avuto il dubbio perchè siamo sempre stati attenti ad aggiornare con pacchetti più nuovi.
Come abbiamo visto in questo thread, tale comportamento di upgradepkg però può essere deleterio in alcuni casi: immaginate di avere una directory con vari pacchetti, alcuni "vecchi" - ovvero avete già installato versioni più recenti - e di lanciare un upgradepkg *.tgz.

Credo quindi che sia il caso di mandare una mail a Patrick, ma come feature request, piuttosto che come segnalazione di bug. Probabilmente il codice di upgradepkg è quello da tanto tempo, magari nessuno si è lamentato e a Patrick va bene così.
Avatar utente
gioco
Packager
Packager
 
Messaggi: 900
Iscritto il: sab giu 18, 2005 23:00
Località: in the court of the Wesnoth king
Slackware: last stable

Re: Problemi VLC

Messaggioda danix » gio mag 29, 2008 15:10

ricordo un altro topic di qualche tempo fa (si aspettava l'uscita della 12.0 a giorni) in cui Luci0 (non vorrei sbagliarmi) ha fatto notare un problema con upgradepkg che ci metteva un sacco di tempo quando c'erano molti pacchetti da aggiornare, il tutto è stato segnalato a PJV che ha provveduto a correggere il problema... Magari non è un bug gravissimo ma può darsi che possa risolverlo in qualche modo...

Comunque a te la scelta... :D


Ciau
Avatar utente
danix
Staff
Staff
 
Messaggi: 3280
Iscritto il: ven ott 27, 2006 18:32
Località: Siderno (RC)
Nome Cognome: Danilo M.
Slackware: 64 14.0
Kernel: 3.2.29
Desktop: fluxbox

Precedente

Torna a Packages

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite